29.6 C
Jaipur
Tuesday, October 19, 2021

Update your browser now to stay safe, follow these steps

Must read

Google has sent an important warning to millions of its users about a new security bug that has reportedly affected the hugely popular Chrome browser. The tech giant revealed in its official blog post about the high, medium, and low vulnerabilities discovered in Chrome for Linux, macOS, and Windows. Also Read – How to update Google Chrome browser to the latest version

The worst part about the warning is that it is the most dangerous zero-day threat and hackers are already aware of this flaw. Hackers have reportedly taken advantage of this to activate people’s computers and steal personal data and other crucial information. Also Read – Google Chrome sending Enhanced Safe Browsing notifications? Know all about it here

Google has warned users to immediately update their Google Chrome to the newer version. This recommendation is for all Google Chrome, Windows 10, and Mac users. Also Read – Google’s offline dinosaur game in new Olympics avatar: Here’s how to can play

The tech giant recently updated the stable channel for desktop and released the extended stable channel 94.0.4606.71 for Windows, Mac, and Linux. Google states that the new update will roll out over the coming days/weeks.

High security risks are

  • CVE-2021-37974: Use after free in Safe Browsing.
  • CVE-2021-37975: Use after free in V8.
  • CVE-2021-37976: Information leak in the core.

Check if your Google Chrome browser is secure

  1. Go to Settings
  2. Click on Help
  3. Go to About Google Chrome
  4. Google Chrome versions 94.0.4606.71 or higher are protected
  5. If you don’t have this version, you can’t do anything. You will either need to wait or shut down the machine

Google has discovered an exploit named — CVE-2021-37975 and CVE-2021-37976. These threats allow hackers to easily access any of your personal data. It should be noted that Google earlier discovered an exploit CVE-2021-37973 in its Chrome browser.

The tech giant has revealed several threats that are under ‘Use-After-Free’ vulnerabilities. Use After Free or UAF is a popular error of not clearing the memory after it is free. It leads a program to crash, and hackers can use this to attack your Chrome.





Source link

- Advertisement -

More articles

LEAVE A REPLY

Please enter your comment!
Please enter your name here

- Advertisement -

Latest article